crc64_tablegen.c File Reference

Generate crc64_table_le.h and crc64_table_be.h. More...

`#include <stdio.h>`
`#include "../../common/tuklib_integer.h"`

## Functions

void | init_crc64_table (void)
static void | print_crc64_table (void)
int | main (void)

## Variables

static uint64_t | crc64_table [4][256]

## Detailed Description

Generate crc64_table_le.h and crc64_table_be.h.

Compiling: gcc -std=c99 -o crc64_tablegen crc64_tablegen.c Add -DWORDS_BIGENDIAN to generate big endian table.